## tigervnc 1.6.0+dfsg

=== debian/changelog ===
tigervnc (1.6.0+dfsg-4) unstable; urgency=medium

  * Re-build to solve library dependency problem. Closes: #841288.

 -- Ola Lundqvist <opal@debian.org>  Thu, 20 Oct 2016 22:39:36 +0200

tigervnc (1.6.0+dfsg-3) unstable; urgency=medium

  * Vncviewer alternatives are now correctly removed at package removal.
    Closes: #840828.
  * Improved the debian/rules clean target.
  * Update alternatives gracefully handle non-existing files so the check
    is removed to ensure it is called in all cases.

 -- Ola Lundqvist <opal@debian.org>  Sat, 15 Oct 2016 22:42:51 +0200

tigervnc (1.6.0+dfsg-2) unstable; urgency=medium

  [ Ola Lundqvist ]
  * Corrected debian/copyright to fix all lintian warnings.
  * Fixed a clean problem in debian/rules that prevented dh_clean from
    being run.
  * Adjusted one of the patch files to allow building also on jessie.

  [ Yaroslav Halchenko ]
  * In hope again to provide acceptable Debian package (Closes: #650394)
  * debian/copyright
    - minor reformatting to avoid spurious tabs, trailing spaces
    - disambiguate short license names for two pieces with BSD-style licenses

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Sep 2016 22:34:45 -0400

tigervnc (1.6.0+dfsg-1) UNRELEASED; urgency=medium

  * Fresh attempt to upload to unstable
  * New upstrem release
  * All active patches placed under debian/patches
    - Refresh all patches
    - add fix-build-error-with-xserver-1.18.patch
  * Updated standards version to 3.9.8
  * Switch to canonical URI for Vcs- fields
  * Remove win directory for DFSG-compatible
  * Bump compat to version 9

 -- Liang Guo <guoliang@debian.org>  Sat, 11 Jun 2016 11:43:28 +0800

tigervnc (1.3.0+X1.15.0-1) UNRELEASED; urgency=low

  * debian/{control,rules}
    - Use xorg-server-source source package instead of a convenience
      git submodule of xorg-server

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Jan 2014 15:11:13 -0500

tigervnc (1.2.0-1) UNRELEASED; urgency=low

  * Updated to tigervnc 1.2.0

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 06 Apr 2012 14:25:22 +0200

tigervnc (1.1.90-1) UNRELEASED; urgency=low

  * Updated to tigervnc 1.1.90
  * Updated to xorg-server (2:1.7.7-14) squeeze

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 05 Apr 2012 19:36:26 +0200

tigervnc (1.1.0-2jf) UNRELEASED; urgency=low

  * Added RH patch tigervnc11-ldnow.patch disabling lazy symbol resolution for libvnc.so

  * Added RH patch tigervnc11-rh690245.patch which add TLS encryption to VeNCrypt
    
      TigerVNC (Xvnc, x0vncserver, the libvnc.so module, and vncviewer) now
      supports TLS encryption (using VeNCrypt) which allows TLS encrypted
      communication between a server and a viewer. (BZ#653491)

  * Added RH patch tigervnc11-rh588342.patch which fixes EQ overflowing bug.
    
      Xvnc could become unresponsive and the following error message was shown
      in the log: "[mi] EQ overflowing. The server is probably stuck in an
      infinite loop.". This was caused by a large number of user input events
      in the Xvnc event queue, which were being processed too slowly. With
      this update, this issue no longer occurs and the system works as
      expected. (BZ#588342)

  * Add RH patch tigervnc11-rh628054-xorg.patch which fixes vmware keyboard interaction bug.
    
      Prior to this update, Xvnc (the X VNC server; part of the tigervnc
      package) did not pass keyboard input to a remote VMware workstation
      because it did not take into account types of keyboards which do not
      have modifier keys. With this update, Xvnc recognizes all types of
      keyboards; thus, keyboard input is correctly passed to remote VMware
      workstations. (BZ#628054)

  * Add RH patch tigervnc11-rh645755.patch fix signal interrupted read
    
      The Xvnc server randomly refused connections when the reading of the
      password file (provided when starting Xvnc with the "-PasswordFile"
      option) was interrupted by a signal. With this update, the loading of a
      password file continues after an interrupt signal is issued and
      connections are no longer refused. (BZ#645755)

  * Apply RH patch tigervnc-viewer-reparent.patch which adds vncviewer embedding support via -Parent option.

  * Apply RH patch tigervnc-102434.patch which adds -passwdInput option to vncviewer.

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 13 Oct 2011 20:12:48 +0200

tigervnc (1.1.0-1jf) UNRELEASED; urgency=low

  * Updated to tigervnc 1.1.0

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 12 Sep 2011 08:08:35 +0200

tigervnc (1.0.90-3jf) UNRELEASED; urgency=low

  * added tcpwrappers support

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 04 Sep 2011 15:49:07 +0200

tigervnc (1.0.90-2jf) UNRELEASED; urgency=low

  * vncviewer => xvncviewer

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 31 Jul 2011 22:26:46 +0200
 

tigervnc (1.0.90-1jf) UNRELEASED; urgency=low

  * Initial dpk package

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 31 Jul 2011 21:36:46 +0200
