=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,11 @@
 ## Where to built tigervnc
 #DEB_BUILDDIR = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
 
-VNC_PATCH = $(CURDIR)/unix/xserver117.patch
+# Normal situation
+#VNC_PATCH = $(CURDIR)/unix/xserver117.patch
+# However in this case we do not have this file from upstream so we use a
+# debian specific copy instead.
+VNC_PATCH = $(CURDIR)/debian/xserver119.patch
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
@@ -205,9 +209,3 @@
 		$(XORG_DEBIAN_CONFIGURE_FLAGS) \
 		$(DEB_CONFIGURE_EXTRA_FLAGS) \
 		--disable-selective-werror \
-		--with-builderstring="tigervnc-xorg-server $(NO_EPOCH_VER) (TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>)" \
-		--disable-xwayland \
-		--disable-xfbdev \
-		--disable-dmx \
-		--disable-xvfb \
-		--disable-xnest \
